GET /stock-movements Deprecated

List all Stock Movements

This endpoint allows you to list all Stock Movements. A stock movevement correspondes to an action executed in a warehouse for a material. A stock movement can have the following actions:

  • MOVED: stock movement between two warehouses
  • ADDED: stock addition in a warehouse
  • CONSUMED: material consumption in a work order or planned job order
Operation ID: getStockMovements
lock This endpoint requires a Bearer token in the Authorization header.

Responses

data array<object>
id string required read-only

ID of the Stock Movement

type string required read-only

Model type

stock-movement
attributes object required
stock_movement_id integer read-only

ID of the Stock Movement

Example: 1

warehouse_id integer read-only

ID of the warehouse associated to the Stock Movement

observation string | null read-only

Description or notes about the Stock Movement

date string (date-time) read-only

Example: 2020-08-28 08:48:00

action string read-only

The action performed in this Stock Movement

ADDED CONSUMED MOVED
failure_id integer | null read-only

Id of the associated Failure

schedule_work_id integer | null read-only

Id of the associated Schedule Work

order_id integer | null read-only

Id of the associated Order

request_id integer | null read-only

Id of the associated Request

element_registry_id integer | null read-only

Id of the associated Element Registry

included array<object>

List of relationships to be included

meta object

Meta model structure details

pagination object
total integer required

Total items.

Example: 1

count integer required

Total items returned for the current page.

Example: 1

per_page integer required

Maximum number of records per page.

Example: 1

current_page integer required

Number of the current page.

total_pages integer required

Number of the total pages.

links object

Requests that return multiple items include a `links` attribute, with links related to request's context.

self string required read-only

Current response link.

Example: /path?page=1

first string required read-only

Link to the first page result.

Example: /path?page=1

last string required read-only

Link to the previous page result.

Example: /path?page=1

next string read-only

Link to the next page result.

Example: /path?page=1

status string
error
error object
properties object

Only present when related to property validation error

dev_message string

Example: Property validation error. Check the "properties" section in the response.

http_code integer
400
message string

Example: Property validation error.

more_info string
status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string